Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.MY_STATUS

    java.lang.Object
      java.lang.Enum<Conversation.MY_STATUS>
          com.skype.api.Conversation.MY_STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Conversation.MY_STATUS>

Enclosing class:
  Conversation

    public static enum Conversation.MY_STATUS

extends java.lang.Enum<Conversation.MY_STATUS>

Enum Constant Summary
`APPLICANT` I'm applying to join the conference
`APPLICATION_DENIED` My application to join the conference was denied
`CONNECTING` connecting to conference
`CONSUMER` I'm part of the conference, I can participate
`DOWNLOADING_MESSAGES` unused
`INVALID_ACCESS_TOKEN` The password I provided is incorrect
`QUEUED_TO_ENTER` conference is full for now, being queued
`RETIRED_FORCEFULLY` I was kicked from the conference
`RETIRED_VOLUNTARILY` I left the conference
`RETRY_CONNECTING`

Method Summary
`static Conversation.MY_STATUS` | `fromString(java.lang.String s)`
`static Conversation.MY_STATUS` | `get(int code)`
`int` | `getId()`
`static Conversation.MY_STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.MY_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONNECTING

    public static final Conversation.MY_STATUS CONNECTING

  connecting to conference

### RETRY_CONNECTING

    public static final Conversation.MY_STATUS RETRY_CONNECTING

### DOWNLOADING_MESSAGES

    public static final Conversation.MY_STATUS DOWNLOADING_MESSAGES

  unused

### QUEUED_TO_ENTER

    public static final Conversation.MY_STATUS QUEUED_TO_ENTER

  conference is full for now, being queued

### APPLICANT

    public static final Conversation.MY_STATUS APPLICANT

  I'm applying to join the conference

### APPLICATION_DENIED

    public static final Conversation.MY_STATUS APPLICATION_DENIED

  My application to join the conference was denied

### INVALID_ACCESS_TOKEN

    public static final Conversation.MY_STATUS INVALID_ACCESS_TOKEN

  The password I provided is incorrect

### CONSUMER

    public static final Conversation.MY_STATUS CONSUMER

  I'm part of the conference, I can participate

### RETIRED_FORCEFULLY

    public static final Conversation.MY_STATUS RETIRED_FORCEFULLY

  I was kicked from the conference

### RETIRED_VOLUNTARILY

    public static final Conversation.MY_STATUS RETIRED_VOLUNTARILY

  I left the conference

Method Detail

### values

    public static Conversation.MY_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.MY_STATUS c : Conversation.MY_STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.MY_STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Conversation.MY_STATUS get(int code)

### fromString

    public static Conversation.MY_STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.